Google Web Toolkit
Search Google Code:

# Class ScrollListenerCollection

public class ScrollListenerCollection
extends ArrayList
A helper class for implementers of the SourcesScrollEvents interface. This subclass of ArrayList assumes that all objects added to it will be of type ScrollListener.

## Methods

fireScroll(Widget, int, int) | Fires a scroll event to all listeners.

## Method Detail

### fireScroll

public void fireScroll(Widget sender, int scrollLeft, int scrollTop)
Fires a scroll event to all listeners.

#### Parameters

sender
  the widget sending the event
scrollLeft
  the horizontal scroll offset
scrollTop
  the vertical scroll offset